> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List Workflow Integrations

`GET https://api.pagerduty.com/workflows/integrations`

List available Workflow Integrations.

Scoped OAuth requires: `workflow_integrations.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `limit` | integer |  | The minimum of the `limit` parameter used in the request or the maximum request size of the API. |
| `cursor` | string |  | Optional parameter used to request the "next" set of results from an API. The value provided here is most commonly obtained from the `next_cursor` field of the previous request. When no value is provided, the request starts at the beginning of the result set. |
| `include_deprecated` | boolean |  | Whether to include deprecated Integrations in the response. Default: `false`. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

A paginated list of Workflow Integrations.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `limit` | integer | yes |  |
| `next_cursor` | string \| null | yes |  |
| `integrations` | array of object | yes |  |
| `integrations[].id` | string |  | The ID of the integration. Read-only. |
| `integrations[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `integrations[].type` | string |  | The type of the resource. Read-only. |
| `integrations[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `integrations[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `integrations[].domain_name` | string |  | Will be pagerduty.com. |
| `integrations[].package_name` | string |  | The package that the integration is part of. |
| `integrations[].name` | string |  | The name of the integration. |
| `integrations[].description` | string |  | The description of the integration. |
| `integrations[].icon_svg` | string |  | The svg string of the icon for the integration. |
| `integrations[].tags` | array of string |  | A list of tags applied to the integration. |
| `integrations[].search_keywords` | array of string |  | A list of keywords that match this integration. |
| `integrations[].is_deprecated` | boolean |  | Whether or not the integration is deprecated. |
| `integrations[].entitled` | boolean |  | Whether or not the integration is entitled. |
| `integrations[].application` | string |  | The application that this integration is associated with. |
| `integrations[].configuration_schema` | object |  | The JSON schema for the configuration of the integration. This is a dynamic field and is different for every integration. |
| `integrations[].secrets_schema` | object |  | The JSON schema for the secrets of the integration. This is a dynamic field and is different for every integration. |
| `integrations[].created_at` | string (date-time) |  | Read-only. |
| `integrations[].created_by` | object, nullable |  | Reference to the user who created this connection. Read-only. |
| `integrations[].created_by.type` | string |  | Type of the referenced object. Read-only. One of: `user_reference`. |
| `integrations[].created_by.id` | string |  | Unique identifier of the user. Read-only. |
| `integrations[].created_by.summary` | string |  | The user's name. Read-only. |
| `integrations[].created_by.html_url` | string (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `integrations[].created_by.self` | string (url) |  | the API show URL at which the object is accessible. Read-only. |

Example: Response Example

```json
{
  "integrations": [
    {
      "id": "http-api",
      "type": "workflow_integration",
      "domain_name": "pagerduty.com",
      "package_name": "http-api",
      "name": "Web API",
      "description": "Create fast, custom connections to apps without integrations.",
      "icon_svg": "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\">\n<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M14 18V20H17C17.8333 20 18.5417 19.7083 19.125 19.125C19.7083 18.5417 20 17.8333 20 17V15C20 14.7167 20.0958 14.4792 20.2875 14.2875C20.4792 14.0958 20.7167 14 21 14H22V10H21C20.7167 10 20.4792 9.90417 20.2875 9.7125C20.0958 9.52083 20 9.28333 20 9V7C20 6.16667 19.7083 5.45833 19.125 4.875C18.5417 4.29167 17.8333 4 17 4H14V6H17C17.2833 6 17.5208 6.09583 17.7125 6.2875C17.9042 6.47917 18 6.71667 18 7V9C18 9.63333 18.1833 10.2083 18.55 10.725C18.9167 11.2417 19.4 11.6083 20 11.825V12.175C19.4 12.3917 18.9167 12.7583 18.55 13.275C18.1833 13.7917 18 14.3667 18 15V17C18 17.2833 17.9042 17.5208 17.7125 17.7125C17.5208 17.9042 17.2833 18 17 18H14ZM4.875 19.125C5.45833 19.7083 6.16667 20 7 20H10V18H7C6.71667 18 6.47917 17.9042 6.2875 17.7125C6.09583 17.5208 6 17.2833 6 17V15C6 14.3667 5.81667 13.7917 5.45 13.275C5.08333 12.7583 4.6 12.3917 4 12.175V11.825C4.6 11.6083 5.08333 11.2417 5.45 10.725C5.81667 10.2083 6 9.63333 6 9V7C6 6.71667 6.09583 6.47917 6.2875 6.2875C6.47917 6.09583 6.71667 6 7 6H10V4H7C6.16667 4 5.45833 4.29167 4.875 4.875C4.29167 5.45833 4 6.16667 4 7V9C4 9.28333 3.90417 9.52083 3.7125 9.7125C3.52083 9.90417 3.28333 10 3 10H2V14H3C3.28333 14 3.52083 14.0958 3.7125 14.2875C3.90417 14.4792 4 14.7167 4 15V17C4 17.8333 4.29167 18.5417 4.875 19.125ZM6.9375 13.5625C7.22917 13.8542 7.58333 14 8 14C8.41667 14 8.77083 13.8542 9.0625 13.5625C9.35417 13.2708 9.5 12.9167 9.5 12.5C9.5 12.0833 9.35417 11.7292 9.0625 11.4375C8.77083 11.1458 8.41667 11 8 11C7.58333 11 7.22917 11.1458 6.9375 11.4375C6.64583 11.7292 6.5 12.0833 6.5 12.5C6.5 12.9167 6.64583 13.2708 6.9375 13.5625ZM10.9375 13.5625C11.2292 13.8542 11.5833 14 12 14C12.4167 14 12.7708 13.8542 13.0625 13.5625C13.3542 13.2708 13.5 12.9167 13.5 12.5C13.5 12.0833 13.3542 11.7292 13.0625 11.4375C12.7708 11.1458 12.4167 11 12 11C11.5833 11 11.2292 11.1458 10.9375 11.4375C10.6458 11.7292 10.5 12.0833 10.5 12.5C10.5 12.9167 10.6458 13.2708 10.9375 13.5625ZM16 14C15.5833 14 15.2292 13.8542 14.9375 13.5625C14.6458 13.2708 14.5 12.9167 14.5 12.5C14.5 12.0833 14.6458 11.7292 14.9375 11.4375C15.2292 11.1458 15.5833 11 16 11C16.4167 11 16.7708 11.1458 17.0625 11.4375C17.3542 11.7292 17.5 12.0833 17.5 12.5C17.5 12.9167 17.3542 13.2708 17.0625 13.5625C16.7708 13.8542 16.4167 14 16 14Z\" />\n</svg>\n",
      "tags": [
        "integration"
      ],
      "search_keywords": [
        "web",
        "api",
        "rest",
        "http",
        "headers"
      ],
      "is_deprecated": false,
      "entitled": true,
      "application": null,
      "configuration_schema": {
        "$schema": "https://json-schema.org/draft/2020-12/schema",
        "$id": "https://api.pagerduty.com/workflows/integrations/http-api/schemas/configuration.json",
        "title": "Web API Integration Configuration",
        "description": "The configuration of a workflow integration connection to Web API",
        "type": "object",
        "properties": {
          "Redacted Authentication Headers": {
            "type": "text",
            "description": "Stores the redacted versions of the sensitive authentication headers",
            "is_hidden": true,
            "advanced": false,
            "metadata": "",
            "default_value": null,
            "restrictions": null,
            "display_order": 2
          },
          "Allowed Hostnames": {
            "type": "text",
            "description": "Enter the hostnames to allow sending these credentials to, one per line. An asterisk (*) may be used for subdomains. Ex: \"example.com\", \"subdomain.example.com\" or \"*.example.com\"",
            "is_hidden": false,
            "advanced": false,
            "metadata": "{\"format\":\"textarea\"}",
            "default_value": null,
            "restrictions": null,
            "display_order": 3,
            "format": "TEXTAREA"
          },
          "Health Check URL": {
            "type": "text",
            "description": "Enter a url to monitor the health of this connection.",
            "is_hidden": false,
            "advanced": false,
            "metadata": "",
            "default_value": null,
            "restrictions": null,
            "display_order": 4
          },
          "Health Check Method": {
            "type": "singleChoice",
            "description": "Select which HTTP method to use for the health check request.",
            "is_hidden": false,
            "advanced": false,
            "metadata": "",
            "default_value": "HEAD",
            "restrictions": {
              "choices": [
                "HEAD",
                "GET"
              ]
            },
            "display_order": 5
          },
          "Existing Connection": {
            "type": "connection",
            "description": "Existing connection to update, if any",
            "is_hidden": true,
            "advanced": false,
            "metadata": "",
            "default_value": null,
            "restrictions": null,
            "display_order": 6,
            "connection_type_id": "pagerduty.com:http-api:integration:1"
          }
        },
        "required": [
          "Allowed Hostnames"
        ]
      },
      "secrets_schema": {
        "$schema": "https://json-schema.org/draft/2020-12/schema",
        "$id": "https://api.pagerduty.com/workflows/integrations/http-api/schemas/secrets.json",
        "title": "Web API Integration Secrets",
        "description": "The secrets of a workflow integration connection to Web API",
        "type": "object",
        "properties": {
          "Authentication Headers": {
            "type": "text",
            "description": "Enter the headers to include in Web API calls made with this connection, one per line. Ex: \"Authorization: Bearer XXXX\"",
            "is_hidden": false,
            "advanced": false,
            "metadata": "{\"format\":\"textarea\"}",
            "default_value": null,
            "restrictions": null,
            "display_order": 1,
            "format": "TEXTAREA"
          },
          "required": [
            "Authentication Headers"
          ]
        }
      },
      "html_url": "https://subdomain.pagerduty.com/workflows/integrations/http-api",
      "self": "https://api.pagerduty.com/workflows/integrations/http-api",
      "created_at": "2024-06-18T18:41:27.1+00:00",
      "created_by": {
        "id": "P7F68N8",
        "type": "user_reference",
        "summary": "John Smith",
        "html_url": "https://subdomain.pagerduty.com/users/P7F68N8",
        "self": "https://api.pagerduty.com/users/P7F68N8"
      }
    }
  ],
  "limit": 10,
  "next_cursor": "WyJtM2RlbW8ucGQtc3RhZ2luZy5jb206Z2l0aHViOmludGVncmF0aW9uOjMiXQ=="
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
